// -----------------------------------------------------------
// Setting.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.entity;

/**
 * The class for handling persistant setting data.
 * @author Martin Gábor
 */
public class Setting {

    private long id;

    // Settings
    private int port;
    private int timePeriodNewMessages;
    private int timePeriodActiveMotes;
    private String topologyImgPath;


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }


    /**
     * Get the value of timePeriodNewMessages
     *
     * @return the value of timePeriodNewMessages
     */
    public int getTimePeriodNewMessages() {
        return timePeriodNewMessages;
    }

    /**
     * Set the value of timePeriodNewMessages
     *
     * @param timePeriodNewMessages new value of timePeriodNewMessages
     */
    public void setTimePeriodNewMessages(int timePeriodNewMessages) {
        this.timePeriodNewMessages = timePeriodNewMessages;
    }

    /**
     * Get the value of timePeriodActiveMotes
     *
     * @return the value of timePeriodActiveMotes
     */
    public int getTimePeriodActiveMotes() {
        return timePeriodActiveMotes;
    }

    /**
     * Set the value of timePeriodActiveMotes
     *
     * @param timePeriodActiveMotes new value of timePeriodActiveMotes
     */
    public void setTimePeriodActiveMotes(int timePeriodActiveMotes) {
        this.timePeriodActiveMotes = timePeriodActiveMotes;
    }


    /**
     * Get the value of port
     *
     * @return the value of port
     */
    public int getPort() {
        return port;
    }

    /**
     * Set the value of port
     *
     * @param port new value of port
     */
    public void setPort(int port) {
        this.port = port;
    }

    /**
     * Get the value of topologyImgPath
     *
     * @return the value of topologyImgPath
     */
    public String getTopologyImgPath() {
        return topologyImgPath;
    }

    /**
     * Set the value of topologyImgPath
     *
     * @param topologyImgPath new value of topologyImgPath
     */
    public void setTopologyImgPath(String topologyImgPath) {
        this.topologyImgPath = topologyImgPath;
    }

}
